Commit 3804a7eb authored by Ryan Scott's avatar Ryan Scott

Bump template-haskell to 2.13.0.0

Summary:
Now that `MonadIO` is a superclass of `Quasi`, it's a good
time to bump the `template-haskell` version so that libraries can
accommodate the change using CPP.

Test Plan: ./validate

Reviewers: bgamari, austin

Subscribers: rwbarton, thomie

Differential Revision: https://phabricator.haskell.org/D4007
parent 0e60cc18
......@@ -59,7 +59,7 @@ Library
containers >= 0.5 && < 0.6,
array >= 0.1 && < 0.6,
filepath >= 1 && < 1.5,
template-haskell == 2.12.*,
template-haskell == 2.13.*,
hpc == 0.6.*,
transformers == 0.5.*,
ghc-boot == @ProjectVersionMunged@,
......
......@@ -77,7 +77,7 @@ library
filepath == 1.4.*,
ghc-boot == @ProjectVersionMunged@,
ghc-boot-th == @ProjectVersionMunged@,
template-haskell == 2.12.*,
template-haskell == 2.13.*,
transformers == 0.5.*
if !os(windows)
......
name: template-haskell
version: 2.12.0.0
version: 2.13.0.0
-- NOTE: Don't forget to update ./changelog.md
license: BSD3
license-file: LICENSE
......
......@@ -4,9 +4,9 @@ TYPE CONSTRUCTORS
data T (a :: k)
COERCION AXIOMS
Dependent modules: []
Dependent packages: [array-0.5.2.0, base-4.10.0.0, deepseq-1.4.3.0,
Dependent packages: [array-0.5.2.0, base-4.11.0.0, deepseq-1.4.3.0,
ghc-boot-th-8.3, ghc-prim-0.5.1.0, integer-gmp-1.0.1.0,
pretty-1.1.3.3, template-haskell-2.12.0.0]
pretty-1.1.3.5, template-haskell-2.13.0.0]
==================== Typechecker ====================
TH_Roles2.$tcT
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment